aboutsummaryrefslogtreecommitdiffstats
path: root/extra/fetchmail/APKBUILD
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-02-26 22:31:58 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-27 07:19:42 +0000
commit3eb1befcd88fe9c7c39a43e77ab108726f340f46 (patch)
treec8949a0a45bac7f4d7a8b3c6433c2e00fa657929 /extra/fetchmail/APKBUILD
parent068beeae0ca51eb4216244e4008054be48d7dbce (diff)
downloadaports-3eb1befcd88fe9c7c39a43e77ab108726f340f46.tar.bz2
aports-3eb1befcd88fe9c7c39a43e77ab108726f340f46.tar.xz
extra/fetchmail Initial Commit
Diffstat (limited to 'extra/fetchmail/APKBUILD')
-rw-r--r--extra/fetchmail/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/extra/fetchmail/APKBUILD b/extra/fetchmail/APKBUILD
new file mode 100644
index 0000000000..d209ead51e
--- /dev/null
+++ b/extra/fetchmail/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor:
+# Maintainer:
+pkgname=fetchmail
+pkgver=6.3.9
+pkgrel=0
+pkgdesc="A remote-mail retrieval and forwarding utility"
+url="http://fetchmail.berlios.de/"
+license="GPL"
+depends="openssl uclibc"
+makedepends=""
+install=
+subpackages="$pkgname-doc"
+source="http://download.berlios.de/fetchmail/$pkgname-$pkgver.tar.bz2
+ fetchmail.initrd"
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --disable-nls
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ install -Dm755 $srcdir/fetchmail.initrd "$pkgdir"/etc/init.d/fetchmail
+}
+
+md5sums="72c20ad2b9629f1a109668b05a84d823 fetchmail-6.3.9.tar.bz2
+b6b95767279d77c98acdc3aa4d00ec89 fetchmail.initrd"